> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve or reject Kai-written emails in bulk

> Approve or reject several Kai-written emails that wait for review. Edits are not possible here.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /engagement/emails/{engagementEmailId}/kai/review/bulk
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /engagement/emails/{engagementEmailId}/kai/review/bulk:
    post:
      tags:
        - Engagement Email
      summary: Approve or reject Kai-written emails in bulk
      description: >-
        Approve or reject several Kai-written emails that wait for review. Edits
        are not possible here.
      operationId: BulkReviewKaiEmails
      parameters:
        - in: path
          name: engagementEmailId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KaiBulkReviewBody'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    KaiBulkReviewBody:
      properties:
        decision:
          type: string
          enum:
            - approve
            - reject
        actionIds:
          items:
            type: string
          type: array
      required:
        - decision
        - actionIds
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.